Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via [email protected]

Para mais informações: [email protected]

#1 11/09/2018 16:44:22

victorpm
Membro
Registrado: 25/08/2018
Mensagens: 2

Error ao executar pgadmin4

Boa tarde,
não estou consigo executar o pgadmin4. Começa a processar e depois desaparece. Executei do terminal e está aparecendo este erro abaixo:

Python path:  "" 
Python Home:  "/usr/lib/pgadmin4/venv"
Fatal Python error: initfsencoding: Unable to get the locale encoding
ModuleNotFoundError: No module named 'encodings'

Current thread 0x00007f4538a52c80 (most recent call first):
Abortado (imagem do núcleo gravada)

como resolver?

Offline

#2 11/09/2018 22:59:01

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 9

Re: Error ao executar pgadmin4

Duas coisas: pode ser que o runtime não foi configurado com o PATH do Python..

E/Ou, tem que baixar e instalar um "wheel" para poder rodar o pagadmin4 no ambiente do "virtualenv"...



No site dos manuais do pagadmin4:

"To install, download the wheel and install with a command such as pip install ./pgadmin4-1.3-py2.py3-none-any.whl. It is strongly recommended that a Python Virtual Environment is used.

pgAdmin can now be run with a command like python ~/pgadmin4/lib/python2.7/site-packages/pgadmin4/pgAdmin4.py (assuming you use a virtual environment at ~/pgadmin4). Finally, point your browser to http://127.0.0.1:5050.

Please see the online documentation for information on deploying pgAdmin 4 behind a web server."

https://www.pgadmin.org/download/pgadmi … hon-wheel/



No site abaixo, ele ensina a fazer o procedimento descrito na refrência de cima:

https://stackoverflow.com/questions/412 … n-pgadmin4


Espero que ajude...

Última edição por slackbeck (11/09/2018 22:59:54)

Offline

#3 12/09/2018 18:03:21

victorpm
Membro
Registrado: 25/08/2018
Mensagens: 2

Re: Error ao executar pgadmin4

O problema parece que era do plasma kde.
Achei na internet falando sobre um problema com o pgadmin 4 que ao executar mostrava a mensagem: /home/"usuario"/.cache/kioexec/krun/18.. exisits. Isso devido o kde não está definido o navegador como padrão.
Fui em configurações de sistema->personalização->aplicativos-> no seguinte aplicativo-> escolhi como padrão o firefox .
Ao executar o pgadmin4 o firefox abria, mas bloqueava o conteúdo do pgamin4 (não sei porque?)
Instalei o chromium e fui novamente em configurações de sistema->personalização->aplicativos-> no seguinte aplicativo-> escolhi como padrão o chromium .
Finalmente funcionou!!

Offline

Rodapé do site